Last modified: 2014-07-01 18:12:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 56729 - BetaFeatures: Use a LESS mixin to provide PNG icons as a fallback for older browsers
BetaFeatures: Use a LESS mixin to provide PNG icons as a fallback for older b...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
BetaFeatures (Other open bugs)
unspecified
All All
: High enhancement (vote)
: ---
Assigned To: James Forrester
:
Depends on: 56502
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 18:35 UTC by Umherirrender
Modified: 2014-07-01 18:12 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Umherirrender 2013-11-07 18:35:03 UTC
svg has not nativ support in all browsers, please use pngs. Thanks.

https://www.mediawiki.org/wiki/Special:Preferences#mw-prefsection-betafeatures shows non-loaded images on IE8
Comment 1 Mark Holmquist 2013-11-07 18:46:17 UTC
Basically the way to support this is to use a LESS mixin to provide them conditionally.
Comment 2 Umherirrender 2013-11-07 18:55:33 UTC
.background-image-svg(@svg, @fallback) exists, but that only works for background-images over css, here a <img> is used.
Comment 3 Brion Vibber 2013-11-07 19:31:46 UTC
Switching those <img>s to something more semantically correct would enable using the background-image, that should be pretty straightforward.
Comment 4 Gerrit Notification Bot 2014-04-02 17:47:17 UTC
Change 123348 had a related patch set uploaded by Jforrester:
Switch from CSS to LESS and use MediaWiki's SVG fallback LESS function

https://gerrit.wikimedia.org/r/123348
Comment 5 Gerrit Notification Bot 2014-07-01 18:11:41 UTC
Change 123348 merged by jenkins-bot:
Switch from CSS to LESS and use MediaWiki's SVG fallback LESS function

https://gerrit.wikimedia.org/r/123348

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links